package com.ssj.service.conch.schoolmaster.request;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class CommitOrderRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "studentId", value = "学生id", required = true)
    private String studentId;
    
    @ApiModelProperty(name = "orderType", value = "订单类型1：1对1课程订单 2：同伴作业吧督导", required = true)
    private int orderType;
    
    @ApiModelProperty(name = "courseCount", value = "课次", required = true)
    private int courseCount;
    
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;
    
    @ApiModelProperty(name = "isHasListenTest", value = "是否有试听课（0没有 1有）", required = true)
    private int isHasListenTest;
    
    @ApiModelProperty(name = "courseTimeList", value = "排课计划(上课日期数组)", required = true)
    private List<String> courseTimeList;
    
    @ApiModelProperty(name = "libraryId", value = "图书馆id", required = true)
    private String libraryId;

	@ApiModelProperty(name = "teacherType", value = "课程类型, 1注册老师，2明星老师，3学霸老师, 4资深老师", required = true)
	private int teacherType;

	@ApiModelProperty(name = "subject", value = "学科名称", required = false)
	private String subject;

	public String getStudentId() {
		return studentId;
	}

	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	public int getOrderType() {
		return orderType;
	}

	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}

	public int getCourseCount() {
		return courseCount;
	}

	public void setCourseCount(int courseCount) {
		this.courseCount = courseCount;
	}

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public int getIsHasListenTest() {
		return isHasListenTest;
	}

	public void setIsHasListenTest(int isHasListenTest) {
		this.isHasListenTest = isHasListenTest;
	}

	public List<String> getCourseTimeList() {
		return courseTimeList;
	}

	public void setCourseTimeList(List<String> courseTimeList) {
		this.courseTimeList = courseTimeList;
	}

	public String getLibraryId() {
		return libraryId;
	}

	public void setLibraryId(String libraryId) {
		this.libraryId = libraryId;
	}

	public int getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(int teacherType) {
		this.teacherType = teacherType;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
}
